<?php
function mod_latestslider($module_id){

      $inCore = cmsCore::getInstance();
      $inDB = cmsDatabase::getInstance();
$cfg = $inCore->loadModuleConfig($module_id);
      global $_LANG;
      if (!isset($cfg['maxlen'])) { $cfg['maxlen'] = 200;}
			$today = date("Y-m-d H:i:s");
		$sql = "
		SELECT con.*, con.id as slid, con.pubdate as fdate, u.nickname as author, u.login as author_login 
		FROM cms_content con 
		LEFT JOIN cms_category cat ON cat.id = con.category_id 
		LEFT JOIN cms_users u ON u.id = con.user_id 
		WHERE con.category_id IN (2) AND con.showlatest = 1 
		AND (con.is_end=0 OR (con.is_end=1 AND con.enddate >= '".$today."' AND con.pubdate <= '".$today."'))
		ORDER BY con.id DESC LIMIT 4";

			
			$result = $inDB->query($sql);
			$is_slider = false;
			if ($inDB->num_rows($result)){
				$slider = array();
				$is_slider = true;
				while($con = $inDB->fetch_assoc($result)){
					$next = sizeof($slider);
				
					$slider[$next]['title'] = $con['title'];
					$slider[$next]['content'] = $con['description'];
					$slider[$next]['id'] = $con['id'];
					$slider[$next]['seolink'] = $con['seolink'];
					$slider[$next]['pubdate']  = $inCore->dateFormat($con['pubdate']);
				}
			}
			
			$smarty = $inCore->initSmarty('modules', 'mod_latestslider.tpl');
			$smarty->assign('slider', $slider);
			$smarty->assign('is_slider', $is_slider);
			$smarty->display('mod_latestslider.tpl');
			return true;
}
?>
